---
product: GitHub
type: "Code hosting"
layout: replace
---

# Replace GitHub

GitHub is a development platform used by millions of people. This platform is unfortunately closed-source, and is owned by Microsoft, an anti-privacy corporation.

## sourcehut

A software development platform for hackers.

{% infobox %}
  - **Website** [sr.ht](https://sr.ht)
  - **Source code**: [sourcehut](https://sr.ht/~sircmpwn/sourcehut/)
  - **License**: GPL, AGPL, LGPL, MIT, BSD
{% endinfobox %}

## Codeberg

Collaboration platform and git hosting for free and open source software, content, projects.

{% infobox %}
  - **Website** codeberg.org
  - **Source code**: [Codeberg](https://codeberg.org/Codeberg/gitea/src/branch/codeberg)
  - **License**: [MIT](https://codeberg.org/Codeberg/gitea/src/branch/codeberg/LICENSE)
{% endinfobox %}

## Notabug

Free code hosting.

{% infobox %}
  - **Website**: notabug.org
  - **Source code**: [Notabug](https://notabug.org/NotABug.org/gogs)
  - **License**: [MIT](https://notabug.org/NotABug.org/gogs/src/master/LICENSE)
{% endinfobox %}

## Disroot

Disroot is a platform providing online services based on principles of freedom, privacy, federation and decentralization.

{% infobox %}
  - **Website**: git.disroot.org
  - **Source code**: [GitHub](https://github.com/go-gitea/gitea)
  - **License**: [MIT](https://github.com/go-gitea/gitea/blob/master/LICENSE)
{% endinfobox %}

## Gitea

A painless self-hosted Git service.

{% infobox %}
  - **Website**: gitea.io
  - **Source code**: [GitHub](https://github.com/go-gitea/gitea)
  - **License**: [MIT](https://github.com/go-gitea/gitea/blob/master/LICENSE)
{% endinfobox %}

## Gogs

A self-hosted Git service made with Go and made easy.

{% infobox %}
  - **Website**: [gogs.io](https://gogs.io/)
  - **Source code**: [Github](https://github.com/gogs/gogs)
  - **License**: [MIT](https://github.com/gogs/gogs/blob/master/LICENSE)
{% endinfobox %}

## Pagure

Pagure is a self-hosted git forge made with python.

{% infobox %}
 - **Website**: [pagure.io](https://pagure.io/pagure)
 - **Source code**: [Pagure](https://pagure.io/pagure)
 - **License**: [GNU General Public License v2.0](https://pagure.io/pagure/blob/master/f/LICENSE)
{% endinfobox %}

---

## More GitLab instances

GitLab is a complete DevOps platform, delivered as a single application. Unfortunately, the [central instance](https://gitlab.com) uses [Cloudflare](https://codeberg.org/crimeflare/cloudflare-tor) and [Google](https://en.wikipedia.org/wiki/Privacy_concerns_regarding_Google) Cloud Platform. Fortunately, since GitLab is open source, there are instances that do not use Cloudflare and Google services.

{% infobox %}
  - **List of GitLab instances**: [wiki.p2pfoundation.net](https://wiki.p2pfoundation.net/List_of_Community-Hosted_GitLab_Instances)
{% endinfobox %}

## More Gitea instances

{% infobox %}
  - **List of Gitea instances**: [wiki.p2pfoundation.net](https://wiki.p2pfoundation.net/List_of_Community-Hosted_Code_Forge_Instances#Gitea)
{% endinfobox %}
